Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

It would be a great idea but Naufrage was developped 2 years ago. Today I work on other projects. I would have to find the time to reinstall older version of Unity (Naufrage was developped on Unity 5.3 and is incompatible with Unity 2017+) to work again on it...

...and... it seems that openhmd lib on unity is only compatible with Unity 5.6.